Package com.enonic.xp.portal.postprocess

## Enum HtmlTag

- java.lang.Object
- - java.lang.Enum<HtmlTag>
  - - com.enonic.xp.portal.postprocess.HtmlTag

- All Implemented Interfaces:
    `Serializable`, `Comparable<HtmlTag>`

      public enum HtmlTag
      extends Enum<HtmlTag>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BODY_BEGIN` |
    `BODY_END` |
    `HEAD_BEGIN` |
    `HEAD_END` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HtmlTag` | `from​(String id)` |
    `String` | `id()` |
    `static HtmlTag` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static HtmlTag[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HEAD_BEGIN

          public static final HtmlTag HEAD_BEGIN

    - #### HEAD_END

          public static final HtmlTag HEAD_END

    - #### BODY_BEGIN

          public static final HtmlTag BODY_BEGIN

    - #### BODY_END

          public static final HtmlTag BODY_END

  - ### Method Detail

    - #### values

          public static HtmlTag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlTag c : HtmlTag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlTag valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### id

          public String id()

    - #### from

          public static HtmlTag from​(String id)